Bug 837816 - Review Request: ergo - A program for large-scale self-consistent field calculations
Review Request: ergo - A program for large-scale self-consistent field calcul...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
: 760645 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 07:56 EDT by Susi Lehtola
Modified: 2012-09-27 00:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 01:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
martin.gieseking: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2012-07-05 07:56:16 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/ergo.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/ergo-3.2-1.fc17.src.rpm

Fedora Account System Username: jussilehtola

Description:
Ergo is a quantum chemistry program for large-scale self-consistent
field calculations.

Key features of the Ergo program:
* Performs electronic structure calculations using Hartree-Fock and
  Kohn-Sham density functional theory.
* Uses Gaussian basis sets.
* Both core and valence electrons are included in the calculations.
* Both restricted and unrestricted models are implemented for energy
  calculations.
* Implements a broad range of both pure and hybrid Kohn-Sham density
  functionals.
* Employs modern linear scaling techniques like fast multipole
  methods, hierarchic sparse matrix algebra, density matrix
  purification, and efficient integral screening.
* Linear scaling is achieved not only in terms of CPU usage but also
  memory utilization.
* The time consuming parts of the code are currently parallelized
  using the shared-memory paradigm.

Linear response calculations of polarizabilities and excitation energies are
possible for the restricted reference density, although complete linear scaling
is in the current implementation not achieved since full dense matrices are
still used in parts of the linear response implementation.

rpmlint output:

ergo.src: W: spelling-error %description -l en_US functionals -> functional, functional s, functionary
ergo.src: W: spelling-error %description -l en_US multipole -> multiple
ergo.src: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
ergo.src: W: spelling-error %description -l en_US polarizabilities -> polarities
ergo.x86_64: W: spelling-error %description -l en_US functionals -> functional, functional s, functionary
ergo.x86_64: W: spelling-error %description -l en_US multipole -> multiple
ergo.x86_64: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
ergo.x86_64: W: spelling-error %description -l en_US polarizabilities -> polarities
ergo.x86_64: W: no-manual-page-for-binary bin2m
ergo.x86_64: W: no-manual-page-for-binary ergo
4 packages and 0 specfiles checked; 0 errors, 10 warnings.

These can all be ignored.
Comment 1 Susi Lehtola 2012-07-05 07:56:51 EDT
*** Bug 760645 has been marked as a duplicate of this bug. ***
Comment 2 Martin Gieseking 2012-09-14 04:27:39 EDT
I take the review. 
Currently, the package doesn't build because of a failed test:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4482907
Maybe upstream should have a look at this. If the failure is false positive, you might want to disable the checks temporarily.
Comment 3 Susi Lehtola 2012-09-14 04:46:46 EDT
Thanks. Upstreamed.
Comment 4 Susi Lehtola 2012-09-14 04:47:45 EDT
For now you can check the package just on x86_64.
Comment 5 Martin Gieseking 2012-09-14 06:37:11 EDT
(In reply to comment #4)
> For now you can check the package just on x86_64.
OK, the package builds fine on x86_64.
http://koji.fedoraproject.org/koji/taskinfo?taskID=4483031

Besides addressing the i686 issue, you should add file COPYING to the doc subpackage too. At least, I don't think that doc packages are an exception from 
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Subpackage_Licensing.

Everything else looks good.


$ rpmlint ergo-*.rpm
ergo.src: W: spelling-error %description -l en_US functionals -> functional, functional s, functionary
ergo.src: W: spelling-error %description -l en_US multipole -> multiple
ergo.src: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
ergo.src: W: spelling-error %description -l en_US polarizabilities -> polarities
ergo.x86_64: W: spelling-error %description -l en_US functionals -> functional, functional s, functionary
ergo.x86_64: W: spelling-error %description -l en_US multipole -> multiple
ergo.x86_64: W: spelling-error %description -l en_US parallelized -> paralleled, palatalized, pluralized
ergo.x86_64: W: spelling-error %description -l en_US polarizabilities -> polarities
ergo.x86_64: W: no-manual-page-for-binary bin2m
ergo.x86_64: W: no-manual-page-for-binary ergo
4 packages and 0 specfiles checked; 0 errors, 10 warnings.

All warnings are expected and can be ignored.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
[+] MUST: The License field in the package spec file must match the actual license.
[X] MUST: The file containing the text of the license(s) for the package must be included in %doc.
    - add file COPYING to the doc subpackage too

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ sha256sum ergo-3.2.tar.gz*
    e50b7f1e6bb51a38ad7056fa3ffba48a045c43dea1d6c7f6fde6c706e8435af4  ergo-3.2.tar.gz
    e50b7f1e6bb51a38ad7056fa3ffba48a045c43dea1d6c7f6fde6c706e8435af4  ergo-3.2.tar.gz.upstream

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[X] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. 

[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, ...
[.] MUST: Packages storing shared library files (not just symlinks) ...
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned dependency.
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, ...
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

EPEL <= 5 only:
[+] MUST: The spec file must contain a valid BuildRoot field.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[X] SHOULD: Your package should contain man pages for binaries/scripts.
Comment 6 Susi Lehtola 2012-09-17 05:22:24 EDT
COPYING added to %doc. Upstream supplied a patch that fixes the test on i686 (binaries are unaffected), now builds fine

http://koji.fedoraproject.org/koji/taskinfo?taskID=4490808
Comment 7 Martin Gieseking 2012-09-17 05:55:49 EDT
OK, great. The packages look good now. You should fix the permissions of the tarball and the spec file, though.

$ rpmlint ergo-3.2-2.fc18.src.rpm 
[...]
ergo.src: W: strange-permission ergo-3.2.tar.gz 0660L
ergo.src: W: strange-permission ergo.spec 0660L
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

----------------
Package APPROVED
----------------
Comment 8 Susi Lehtola 2012-09-17 06:03:55 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: ergo
Short Description: A program for large-scale self-consistent field calculations 
Owners: jussilehtola
Branches: F-16 F-17 F-18 EL-5 EL-6
InitialCC:
Comment 9 Jon Ciesla 2012-09-17 08:01:47 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-09-17 12:49:55 EDT
ergo-3.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ergo-3.2-2.el5
Comment 11 Fedora Update System 2012-09-17 12:50:10 EDT
ergo-3.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ergo-3.2-2.fc17
Comment 12 Fedora Update System 2012-09-17 12:50:22 EDT
ergo-3.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ergo-3.2-2.el6
Comment 13 Fedora Update System 2012-09-17 12:50:34 EDT
ergo-3.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ergo-3.2-2.fc18
Comment 14 Fedora Update System 2012-09-17 12:50:44 EDT
ergo-3.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ergo-3.2-2.fc16
Comment 15 Fedora Update System 2012-09-17 16:38:55 EDT
ergo-3.2-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2012-09-23 01:05:15 EDT
ergo-3.2-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2012-09-27 00:21:58 EDT
ergo-3.2-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-09-27 00:23:28 EDT
ergo-3.2-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.